package edu.wpi.first.wpilibj.templates.commands.lowlevel;


import edu.wpi.first.wpilibj.templates.RobotMap;
import edu.wpi.first.wpilibj.templates.commands.CommandBase;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author team1987
 */
public class L_Chassis_ToggleFront extends CommandBase {
    
    public L_Chassis_ToggleFront() {
        // Use requires() here to declare subsystem dependencies
        // eg. requires(chassis);
    }

    // Called just before this Command runs the first time
    protected void initialize() {
        RobotMap.frontToggled = false;
    }

    // Called repeatedly when this Command is scheduled to run
    protected void execute() {
        chassis.toggleFront();
    }

    // Make this return true when this Command no longer needs to run execute()
    protected boolean isFinished() {
        return RobotMap.frontToggled;
    }

    // Called once after isFinished returns true
    protected void end() {
    }

    // Called when another command which requires one or more of the same
    // subsystems is scheduled to run
    protected void interrupted() {
    }
}
